/*==============================================================*/
/* DBMS name:      MySQL 5.0                                    */
/* Created on:     2022/2/10 23:08:37                           */
/*==============================================================*/


drop table if exists sec_menu;

drop table if exists sec_org_user_rel;

drop table if exists sec_organize;

drop table if exists sec_priv_entity;

drop table if exists sec_role;

drop table if exists sec_role_grant;

drop table if exists sec_role_user_rel;

drop table if exists sec_user;

/*==============================================================*/
/* Table: sec_menu                                              */
/*==============================================================*/
create table sec_menu
(
   MENU_ID              bigint(20) not null  comment '˵ʶ',
   PARENT_MENU_ID       bigint(20) default NULL comment 'ϼ˵ʶ',
   SUB_COUNT            int(5) default NULL comment 'Ӳ˵Ŀ',
   MENU_TYPE            varchar(3),
   MENU_NAME            varchar(256),
   MENU_TITLE           varchar(256),
   LEVEL                int(11) unsigned default NULL comment '㼶 ',
   MENU_SORT            int(5) default NULL comment '',
   MENU_COMPONENT       varchar(256),
   MENU_ICON            varchar(256),
   LINK_URL             varchar(256),
   IFRAME_FLAG          int(1) default NULL comment 'Ƿ',
   CACHE_FLAG           int(1) default NULL comment '',
   HIDDEN_FLAG          int(1) default NULL comment '',
   VALID_DATE           datetime default NULL comment 'Ч',
   EXPIRE_DATE          datetime default NULL comment 'ʧЧ',
   DATA_STATUS          varchar(8),
   CREATE_DATE          datetime default NULL comment '',
   CREATE_OP_ID         varchar(32),
   CREATE_ORG_ID        varchar(32),
   DONE_CODE            bigint(22) default NULL comment '',
   DONE_DATE            datetime default NULL comment '',
   OP_ID                varchar(32),
   ORG_ID               varchar(32),
   MGMT_DISTRICT        varchar(8),
   MGMT_COUNTY          varchar(8),
   REGION_ID            varchar(8),
   TENANT_CODE          varchar(32),
   primary key (MENU_ID)
)
ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

/*==============================================================*/
/* Table: sec_org_user_rel                                      */
/*==============================================================*/
create table sec_org_user_rel
(
   ORG_USER_REL_ID      bigint(20) not null  comment 'û֯ϵʶ',
   ORGANIZE_ID          bigint(20) default NULL comment '֯ʶ',
   USER_ID              bigint(20) default NULL comment 'ûʶ',
   VALID_DATE           datetime default NULL comment 'Ч',
   EXPIRE_DATE          datetime default NULL comment 'ʧЧ',
   DATA_STATUS          varchar(8),
   CREATE_DATE          datetime default NULL comment '',
   CREATE_OP_ID         varchar(32),
   CREATE_ORG_ID        varchar(32),
   DONE_CODE            bigint(22) default NULL comment '',
   DONE_DATE            datetime default NULL comment '',
   OP_ID                varchar(32),
   ORG_ID               varchar(32),
   MGMT_DISTRICT        varchar(8),
   MGMT_COUNTY          varchar(8),
   REGION_ID            varchar(8),
   TENANT_CODE          varchar(32),
   primary key (ORG_USER_REL_ID)
)
ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

/*==============================================================*/
/* Table: sec_organize                                          */
/*==============================================================*/
create table sec_organize
(
   ORGANIZE_ID          bigint(20) not null  comment '֯ʶ',
   ORGANIZE_TYPE        varchar(3),
   PARTY_ID             bigint(20) default NULL comment '˱ʶ',
   ORGANIZE_NAME        varchar(200),
   ORGANIZE_CODE        varchar(100),
   PARENT_ORGANIZE_ID   bigint(20) default NULL comment '֯ʶ',
   DISTRICT_ID          varchar(40),
   SHORT_NAME           varchar(200),
   ENGLISH_NAME         varchar(200),
   DEPT_FULL_ID         varchar(400),
   DEPT_FULL_NAME       varchar(400),
   LEVEL                int(5) default NULL comment '㼶Ϊ1',
   DEPT_LEADER          bigint(20) default NULL comment 'Ÿ, user_id',
   MEMBER_NUM           int(5) default NULL comment '֯',
   MANAGER_NAME         varchar(40),
   EMAIL                varchar(50),
   LINK_PHONE_ID        varchar(50),
   FAX_ID               varchar(50),
   ORG_ADDRESS          varchar(255),
   CONTACT_NAME         varchar(100),
   CONTACT_CARD_TYPE    varchar(3),
   CONTACT_CARD_ID      varchar(40),
   CONTACT_BILL_ID      varchar(50),
   POSTCODE             varchar(10),
   POST_PROVINCE        varchar(32),
   POST_CITY            varchar(32),
   POST_ADDRESS         varchar(255),
   POST_POSTCOD         varchar(32),
   COUNTY_ID            varchar(32),
   LEAF_FLAG            int(1) default NULL comment 'ǷҶӽڵ\r\n            1-- 0-\r\n            ',
   ORG_LEVEL            varchar(3),
   ORG_AREA_TYPE        varchar(3),
   ORG_COOP_TYPE        varchar(3),
   CHANNEL_TYPE         varchar(3),
   REMARK               varchar(255),
   VALID_DATE           datetime default NULL comment 'Ч',
   EXPIRE_DATE          datetime default NULL comment 'ʧЧ',
   DATA_STATUS          varchar(8),
   CREATE_DATE          datetime default NULL comment '',
   CREATE_OP_ID         varchar(32),
   CREATE_ORG_ID        varchar(32),
   DONE_CODE            bigint(22) default NULL comment '',
   DONE_DATE            datetime default NULL comment '',
   OP_ID                varchar(32),
   ORG_ID               varchar(32),
   MGMT_DISTRICT        varchar(8),
   MGMT_COUNTY          varchar(8),
   REGION_ID            varchar(8),
   TENANT_CODE          varchar(32),
   primary key (ORGANIZE_ID)
)
ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

/*==============================================================*/
/* Table: sec_priv_entity                                       */
/*==============================================================*/
create table sec_priv_entity
(
   PRIV_ENT_ID          bigint(20) not null comment 'Ȩʵʶ',
   PRIV_ENT_NAME        varchar(255),
   PRIV_ENT_CODE        varchar(255),
   APP_ID               bigint(20) default NULL comment 'ʹϵͳʶ',
   PRIV_ENT_TYPE_ID     bigint(20) default NULL comment 'Ȩ޶ͱʶûȨ޷',
   BUSI_OBJ_ID          bigint(20) default NULL comment 'ʵʶӦá˵ΪȨʵıʶ',
   BUSI_OBJ_TYPE        varchar(10),
   SENSITIVE_LEVEL      varchar(3),
   REMARK               varchar(100),
   VALID_DATE           datetime default NULL comment 'Ч',
   EXPIRE_DATE          datetime default NULL comment 'ʧЧ',
   DATA_STATUS          varchar(8),
   CREATE_DATE          datetime default NULL comment '',
   CREATE_OP_ID         varchar(32),
   CREATE_ORG_ID        varchar(32),
   DONE_CODE            bigint(22) default NULL comment '',
   DONE_DATE            datetime default NULL comment '',
   OP_ID                varchar(32),
   ORG_ID               varchar(32),
   MGMT_DISTRICT        varchar(8),
   MGMT_COUNTY          varchar(8),
   REGION_ID            varchar(8),
   TENANT_CODE          varchar(32),
   primary key (PRIV_ENT_ID)
)
ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

/*==============================================================*/
/* Table: sec_role                                              */
/*==============================================================*/
create table sec_role
(
   ROLE_ID              bigint(20) not null comment 'ɫʶ',
   JOB_ID               bigint(20) default NULL comment 'λʶ',
   ROLE_NAME            varchar(256),
   ROLE_TYPE            varchar(3),
   ROLE_LEVEL           int(5) default NULL comment 'ɫ\r\n            1ͣ2У3ߣ',
   DESCRIPTION          varchar(256),
   VALID_DATE           datetime default NULL comment 'Ч',
   EXPIRE_DATE          datetime default NULL comment 'ʧЧ',
   DATA_STATUS          varchar(8),
   CREATE_DATE          datetime default NULL comment '',
   CREATE_OP_ID         varchar(32),
   CREATE_ORG_ID        varchar(32),
   DONE_CODE            bigint(22) default NULL comment '',
   DONE_DATE            datetime default NULL comment '',
   OP_ID                varchar(32),
   ORG_ID               varchar(32),
   MGMT_DISTRICT        varchar(8),
   MGMT_COUNTY          varchar(8),
   REGION_ID            varchar(8),
   TENANT_CODE          varchar(32),
   primary key (ROLE_ID)
)
ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

/*==============================================================*/
/* Table: sec_role_grant                                        */
/*==============================================================*/
create table sec_role_grant
(
   ROLE_GRANT_ID        bigint(20) not null comment 'ɫȨʶ',
   ROLE_ID              bigint(20) default NULL comment 'ɫʶ',
   PRIV_ENT_ID          bigint(20) default NULL comment 'ʵʶ',
   REMARK               varchar(100),
   VALID_DATE           datetime default NULL comment 'Ч',
   EXPIRE_DATE          datetime default NULL comment 'ʧЧ',
   DATA_STATUS          varchar(8),
   CREATE_DATE          datetime default NULL comment '',
   CREATE_OP_ID         varchar(32),
   CREATE_ORG_ID        varchar(32),
   DONE_CODE            bigint(22) default NULL comment '',
   DONE_DATE            datetime default NULL comment '',
   OP_ID                varchar(32),
   ORG_ID               varchar(32),
   MGMT_DISTRICT        varchar(8),
   MGMT_COUNTY          varchar(8),
   REGION_ID            varchar(8),
   TENANT_CODE          varchar(32),
   primary key (ROLE_GRANT_ID)
)
ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

/*==============================================================*/
/* Table: sec_role_user_rel                                     */
/*==============================================================*/
create table sec_role_user_rel
(
   ROLE_USER_REL_ID     bigint(20) not null comment 'ɫûʶ',
   USER_ID              bigint(20) not null comment 'ûʶ',
   ROLE_ID              bigint(20) not null comment 'ɫʶ',
   VALID_DATE           datetime default NULL comment 'Ч',
   EXPIRE_DATE          datetime default NULL comment 'ʧЧ',
   DATA_STATUS          varchar(8),
   CREATE_DATE          datetime default NULL comment '',
   CREATE_OP_ID         varchar(32),
   CREATE_ORG_ID        varchar(32),
   DONE_CODE            bigint(22) default NULL comment '',
   DONE_DATE            datetime default NULL comment '',
   OP_ID                varchar(32),
   ORG_ID               varchar(32),
   MGMT_DISTRICT        varchar(8),
   MGMT_COUNTY          varchar(8),
   REGION_ID            varchar(8),
   TENANT_CODE          varchar(32),
   primary key (ROLE_USER_REL_ID)
)
ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

/*==============================================================*/
/* Table: sec_user                                              */
/*==============================================================*/
create table sec_user
(
   USER_ID              bigint(20) not null  comment 'ûʶ',
   NICK_NAME            varchar(256),
   USER_ACCOUNT         varchar(500),
   GENDER               varchar(2),
   AVATAR_NAME          varchar(256),
   AVATAR_PATH          varchar(256),
   EMAIL                varchar(256),
   LINK_PHONE           varchar(256),
   PASSWORD             varchar(256),
   ADMIN_FLAG           int(1) default NULL comment 'ǷΪADMIN˺',
   SEC_LEVEL            char(1),
   ENABLED_FLAG         int(1) default NULL comment '״̬1á0',
   PWD_RESET_TIME       varchar(2),
   VALID_DATE           datetime default NULL comment 'Ч',
   EXPIRE_DATE          datetime default NULL comment 'ʧЧ',
   DATA_STATUS          varchar(8),
   CREATE_DATE          datetime default NULL comment '',
   CREATE_OP_ID         varchar(32),
   CREATE_ORG_ID        varchar(32),
   DONE_CODE            bigint(22) default NULL comment '',
   DONE_DATE            datetime default NULL comment '',
   OP_ID                varchar(32),
   ORG_ID               varchar(32),
   MGMT_DISTRICT        varchar(8),
   MGMT_COUNTY          varchar(8),
   REGION_ID            varchar(8),
   TENANT_CODE          varchar(32),
   SURNAME              varchar(500),
   primary key (USER_ID)
)
ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

