package com.ipu.logicflow.server;

import com.ai.ipu.data.JMap;
import com.ai.ipu.data.impl.JsonMap;
import com.alibaba.fastjson.JSONObject;
import com.nuosi.flow.logic.LogicFlowEngine;
import com.nuosi.flow.logic.inject.initial.InitialMethod;
import com.nuosi.flow.util.LogicFlowUtil;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.io.IOException;

/**
 * <p>desc: 用户组织信息管理逻辑的测试 </p>
 * <p>date: 2022/6/24 09:58 </p>
 *
 * @author weihf@asiainfo.com
 * @version v1.0.0
 */
public class RoleUserRelTest {

    @Test
    public void testInsertRoleUserRel(){
        JMap result = null;
        try {
            JMap param = new JsonMap();
            param.put("role_user_rel", new JSONObject(createRoleUserRel()));
            result = LogicFlowEngine.execute("role_user_rel_insert", param);
            System.out.println("执行结果：" + result);
            Assert.assertEquals("新增组织下人员信息失败!", result.getInt("insert_num"), 1);
        } catch (Exception e) {
            System.out.println("错误信息：" + e.getMessage());
            Assert.assertTrue(false);
        }
    }
    
 
    
    @Test
    public void testSelectRoleUserRelByUserId() {
        JMap param = new JsonMap();
        param.put("user_id", 308075);

        try{
            JMap result = LogicFlowEngine.execute("role_user_rel_select_by_cond", param);
            System.out.println("执行结果：" + result);
            Assert.assertTrue(true);
        }catch (Exception e){
            e.printStackTrace();
            System.out.println("错误信息：" + e.getMessage());
            Assert.assertTrue(false);
        }
    }
    
 
    
    @Test
    public void testDeleteRoleUserRelByCond(){
    	JMap param = new JsonMap();
        param.put("role_id", 284247);
        param.put("user_id", 308075);
        JMap result = null;
        try {
            
            result = LogicFlowEngine.execute("role_user_rel_delete_by_cond", param);
            System.out.println("执行结果：" + result);
            Assert.assertTrue(true);
        } catch (Exception e) {
            System.out.println("错误信息：" + e.getMessage());
            Assert.assertTrue(false);
        }
    }
    

    @Before
    public void before() throws IOException {
        String[] models = {
                "flow/role/model/sec_role_user_rel.xml"
        };
        LogicFlowUtil.loadLogicModels(models);

        String[] flows = {
                "flow/role/role_user_rel_insert.xml",
                "flow/role/role_user_rel_select_by_cond.xml",
                "flow/role/role_user_rel_delete_by_cond.xml"
        };

        LogicFlowUtil.loadLogicFlows(flows);
    }

    private JMap createRoleUserRel() throws Exception {
        String role_user_rel_id = String.valueOf(System.currentTimeMillis()).substring(7);
        JMap menuParam = new JsonMap();
        menuParam.put("role_user_rel_id", role_user_rel_id);
        menuParam.put("ROLE_ID", "284247");
        menuParam.put("USER_ID", "308075");
        menuParam.put("DATA_STATUS", "1");      
        menuParam.put("CREATE_DATE", new InitialMethod().getDatetime());
        menuParam.put("CREATE_OP_ID", "1");
        menuParam.put("DONE_DATE", new InitialMethod().getDatetime());
        menuParam.put("OP_ID", "1");

        return menuParam;
    }
}
